<template>
    <div style="border-top: 2px solid #2da4cc;">
        <template>

  <el-alert
    title="You can update the data of users by expanding their row`s"
    type="info"
    show-icon>
  </el-alert>

  <el-table
    
    ref="multipleTable"
    :data="users"
    style="width: 100%"
    @selection-change="handleSelectionChange">
    <el-table-column
      type="selection"
      width="55">
    </el-table-column>

   

    <el-table-column
      property="id"
      label="#"
      width="30">
    </el-table-column>

    <el-table-column 
    type="expand">
      <template slot-scope="props">
        <p>Name: </p>
        <p>Email: </p>
        <p>Group:</p>
        <p>Active ? </p>
      </template>
    </el-table-column>



    <el-table-column
      label="Name"
      width="120"
      prop="name">
<!-- <template slot-scope="scope">{{ scope.row.name }}</template> -->
    </el-table-column>

    <el-table-column
      property="UserBPMRef"
      label="BPMN ID"
      width="120">
    </el-table-column>

    <el-table-column
      property="nameGroupSubTenants"
      label="User Group"
      width="120">
    </el-table-column>

    <el-table-column
      property="email"
      label="Email"
      width="210">
    </el-table-column>

    <el-table-column
      property="created_at"
      label="Created_at"
      width="185">
    </el-table-column>

    <el-table-column
      label="Operations"
      fixed="right"
      >
      <template slot-scope="scope">
        <el-button @click="updateuser(scope.row)" type="primary" icon="el-icon-edit"></el-button>
        <el-button type="danger" icon="el-icon-delete"></el-button>
      </template>
    </el-table-column>
  </el-table>
  <!-- <div style="margin-top: 20px">
    <el-button @click="toggleSelection([tableData3[1], tableData3[2]])">Toggle selection status of second and third rows</el-button>
    <el-button @click="toggleSelection()">Clear selection</el-button>
  </div> -->
</template>
    </div>
</template>
<script>

import network from '../../../network'
  export default {
    created(){
        
    },
    data() {
      return {
          
        multipleSelection: [],
        network : new network(),
      };
    },
    props:['users'],

    methods: {

      toggleSelection(rows) {
        if (rows) {
          rows.forEach(row => {
            this.$refs.multipleTable.toggleRowSelection(row);
          });
        } else {
          this.$refs.multipleTable.clearSelection();
        }
      },

      handleSelectionChange(val) {
        this.multipleSelection = val;
      },

      updateuser(user){
          console.log(user)
      }
      
      
    },

    watch:{
        users:{
            handler:function(){

            },
            deep:true
        }
    }


  };
</script>